{ sources ? import ./sources.nix, pkgs ? import sources.nixpkgs { } }:

version: sha256:

let
  url = if pkgs.stdenv.isDarwin then
    "https://ziglang.org/builds/zig-macos-x86_64-${version}.tar.xz"
  else
    "https://ziglang.org/builds/zig-linux-x86_64-${version}.tar.xz";

  src = pkgs.fetchurl { inherit sha256 url; };

in pkgs.stdenv.mkDerivation {
  name = "zig";
  inherit src version;

  installPhase = ''
    mkdir -p $out
    cp -rf * $out
    mkdir -p $out/bin
    mv $out/zig $out/bin/zig
  '';
}
